import 'ActionUIField.dart';
import 'ActionUISupply.dart';

class ActionUIForm {
  List<ActionUIField>? objectParameterDTOList;
  List<ActionUISupply>? activityExtendTypeDTOList;

  ActionUIForm({this.objectParameterDTOList, this.activityExtendTypeDTOList});

  ActionUIForm.fromJson(Map<String, dynamic> json) {
    if (json['objectParameterDTOList'] != null) {
      objectParameterDTOList = <ActionUIField>[];
      json['objectParameterDTOList'].forEach((v) {
        objectParameterDTOList?.add(new ActionUIField.fromJson(v));
      });
    }
    if (json['activityExtendTypeDTOList'] != null) {
      activityExtendTypeDTOList = <ActionUISupply>[];
      json['activityExtendTypeDTOList'].forEach((v) {
        activityExtendTypeDTOList?.add(new ActionUISupply.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.objectParameterDTOList != null) {
      data['objectParameterDTOList'] = this.objectParameterDTOList?.map((v) => v.toJson()).toList();
    }
    if (this.activityExtendTypeDTOList != null) {
      data['activityExtendTypeDTOList'] = this.activityExtendTypeDTOList?.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
